<refreshable-panel [dataProvider]="this">
    <refreshable-panel-header [title]="'Courses'"></refreshable-panel-header>
    <refreshable-panel-content>
        <div class="row panel hidden-xs hidden-sm">
            <div class="col-md-4">
                {{ "CourseTitle" | localize }}
            </div>
            <div class="col-md-4">
                {{ "Credits" | localize }}
            </div>
            <div class="col-md-4">
                {{ "DepartmentInfo" | localize }}
            </div>
        </div>
        <div class="row panel" *ngFor="let course of instructor.courseAssignments">
            <div class="col-md-4">
                <span class="hidden-md hidden-lg"> {{"CourseTitle" | localize}} </span>
                <div class="well well-sm">
                    {{ course.course.title }} </div>
            </div>
            <div class="col-md-4">
                <span class="hidden-md hidden-lg"> {{"Credits" | localize}}
                </span>
                <div class="well well-sm"> {{ course.course.credits }}
                </div>
            </div>
            <div class="col-md-4">
                <span class="hidden-md hidden-lg"> {{"DepartmentInfo" | localize}} </span>
                <div class="well well-sm">
                    <ul class="list-group" style="margin-bottom: 0px">
                        <li class="list-group-item">
                            <strong> {{ "DepartmentName" | localize }}: </strong> {{ course.course.department.name }}
                        </li>
                        <li class="list-group-item">
                            <strong> {{ "DepartmentBudget" |localize }}: </strong> {{ course.course.department.budget }}
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </refreshable-panel-content>
</refreshable-panel>
